%?mingw_package_header

%global snapshot_date 20130520
%global branch trunk

# Run the testsuite
%global enable_tests 0

Name:           mingw-winstorecompat
Version:        2.0.999
Release:        0.2.%{branch}.%{snapshot_date}%{?dist}
Summary:        MinGW library to help porting to Windows Store
License:        MIT
Group:          Development/Libraries

URL:            http://mingw-w64.sourceforge.net/
%if 0%{?snapshot_date}
# To regerenate a snapshot:
# wget http://mingw-w64.svn.sourceforge.net/viewvc/mingw-w64/%{branch}/?view=tar -O mingw-w64-%{branch}-snapshot-$(date '+%Y%m%d').tar.gz
Source0:        mingw-w64-%{branch}-snapshot-%{snapshot_date}.tar.gz
%else
Source0:        http://downloads.sourceforge.net/mingw-w64/mingw-w64-v%{version}.tar.gz
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-headers >= 2.0.999-0.24.trunk.20130520
BuildRequires:  mingw64-headers >= 2.0.999-0.24.trunk.20130520


%description
This library can be linked to code targetting Windows Store.
Functions that are not available anymore for Windows Store are redefined,
using similar functions that are allowed.
'Forbidden' functions can be found either by browsing MSDN, either by
running WACK (Windows Application Certification Kit) on the application.

%package -n mingw32-winstorecompat
Summary:        MinGW library to help porting to Windows Store for the win32 target

%description -n mingw32-winstorecompat
This library can be linked to code targetting Windows Store.
Functions that are not available anymore for Windows Store are redefined,
using similar functions that are allowed.
'Forbidden' functions can be found either by browsing MSDN, either by
running WACK (Windows Application Certification Kit) on the application.

%package -n mingw64-winstorecompat
Summary:        MinGW library to help porting to Windows Store for the win64 target

%description -n mingw64-winstorecompat
This library can be linked to code targetting Windows Store.
Functions that are not available anymore for Windows Store are redefined,
using similar functions that are allowed.
'Forbidden' functions can be found either by browsing MSDN, either by
running WACK (Windows Application Certification Kit) on the application.


%?mingw_debug_package


%prep
%if 0%{?snapshot_date}
rm -rf mingw-w64-v%{version}
mkdir mingw-w64-v%{version}
cd mingw-w64-v%{version}
tar -xf %{S:0}
%setup -q -D -T -n mingw-w64-v%{version}/%{branch}
%else
%setup -q -n mingw-w64-v%{version}
%endif


%build
pushd mingw-w64-libraries/winstorecompat
    %mingw_configure
    %mingw_make %{?smp_mflags}
popd


%install
pushd mingw-w64-libraries/winstorecompat
    %mingw_make install DESTDIR=$RPM_BUILD_ROOT
popd

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


%files -n mingw32-winstorecompat
%doc COPYING
%{mingw32_libdir}/libwinstorecompat.a

%files -n mingw64-winstorecompat
%doc COPYING 
%{mingw64_libdir}/libwinstorecompat.a


%changelog
* Mon May 20 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.2.trunk.20130520
- Update to 20130520 snapshot
- Bumped BR: mingw32-headers mingw64-headers to >= 2.0.999-0.24.trunk.20130520 because of combaseapi.h

* Thu May  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.0.999-0.1.trunk.20130509
- Initial package

